{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        storeConfig:{
            //clientG:{routeName:'BaseController-getComboValues',table:'clients'}
            //,Losttype:{routeName:'LostType-getComboValues',table:'lost_types',limit:250}
            //,LosttypeG:{routeName:'LostType-getComboValues',table:'lost_types',limit:250}
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.delete=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'LostTypeChange.client'|trans }}", dataIndex: 'client', width: 100,filter:'single',alias:'cld',type:'combo',store:t.extras.clients,operator:'='},
                    {header: "{{ 'LostTypeChange.losttype'|trans }}", dataIndex: 'losttype_old', width: 250,filter:'single',alias:'cld',type:'combo',store:t.extras.lost_types,operator:'=',fieldname:'losttype'},
                    {header: "{{ 'LostTypeChange.start'|trans }}", dataIndex: 'start', width: 150,filter:'single',alias:'cld',operator:'='},
                    {header: "{{ 'LostTypeChange.finish'|trans }}", dataIndex: 'finish', width: 150,filter:'single',alias:'cld',operator:'='}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'LostTypeChange.losttype'|trans }}",
                        dataIndex: 'losttype_old',
                        maxLength: 50,
                        labelWidth : '120px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.combo({
                        title: "{{ 'LostTypeChange.losttype_new'|trans }}",
                        placeHolder: "{{ 'LostTypeChange.losttype_new_placeholder'|trans }}",
                        dataIndex: 'losttype',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '120px',
                        grid: 's6 m4',
                        width:200,
                        store: t.extras.lost_types
                    }),
                    new mj.form.textField({
                        title: "{{ 'LostTypeChange.start'|trans }}",
                        dataIndex: 'start',
                        labelWidth : '120px',
                        notEmpty: true,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'LostTypeChange.finish'|trans }}",
                        dataIndex: 'finish',
                        labelWidth : '120px',
                        grid: 's4 m2',
                        disabled:true
                    })
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
